[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomUpDown.OnClick

OnClick - special event handler for a click on up or down button

## Declaration

Source position: comctrls.pp line 1316

`protected property TCustomUpDown.OnClick: TUDClickEvent read FOnClick write FOnClick;`

## Description

OnClick - special event handler for a click on up or down button

The event handler must determine whether the [next] or [prev] button was clicked, and therefore whether to increment or decrement the controlled variable and adjust the display

The latest version of this document can be found at lazarus-ccr.sourceforge.net.